solscan logo
Register NowRegister Now

List of downloadable files

get

https://pro-api-dev.solscan.io/v2.0/export/file/list

List of downloadable files

QUERY PARAMS

file_type

string

The parameter allows you to specify the file type by which the returned list of files will be filtered

Enum Description:

  • token_metadata: Data in the same format as token meta api(https://pro-api.solscan.io/v2.0/token/meta)

  • address_label: Data in the same format as account meta api(https://pro-api.solscan.io/v2.0/account/metadata)

from_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

to_time

number

Filter by time range (Unix timestamp in seconds). Example: ?from_time=1720153259&to_time=1720153276

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

file_id

string

File id

file_name

string

File name

file_type

string

File type

file_size

string

The size of file

from_time

string

The inclusive start time for data collection in UTC format (e.g., '2025-11-28T05:31:13.888Z')

to_time

string

The exclusive end time for data collection in UTC format (e.g., '2025-11-28T05:31:13.888Z')

updated_time

string

The timestamp when the record was last updated in UTC format (e.g., '2025-11-28T05:31:13.888Z')

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples